import _taggedTemplateLiteral from "@babel/runtime/helpers/taggedTemplateLiteral";
var _templateObject;
import { colors, typography } from '@atlaskit/theme';
import evaluateInner from './utils/evaluate-inner';
var fontFamily = "-apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif";
var codeFontFamily = "ui-monospace, Menlo, \"Segoe UI Mono\", \"Ubuntu Mono\", monospace";

/* TODO body line height should be 1.25rem */
export default evaluateInner(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  body,\n  html {\n    height: 100%;\n    width: 100%;\n  }\n\n  body {\n    background-color: ", ";\n    color: ", ";\n    font: ", ";\n    -ms-overflow-style: -ms-autohiding-scrollbar;\n    text-decoration-skip-ink: auto;\n  }\n\n  /* Default margins */\n  p,\n  ul,\n  ol,\n  dl,\n  h1,\n  h2,\n  h3,\n  h4,\n  h5,\n  h6,\n  blockquote,\n  pre,\n  form,\n  table {\n    margin: ", " 0 0 0;\n  }\n\n  /* Links */\n  a {\n    color: ", ";\n    text-decoration: none;\n  }\n  a:hover {\n    color: ", ";\n    text-decoration: underline;\n  }\n  a:active {\n    color: ", ";\n  }\n  a:focus-visible {\n    outline: ", " solid ", ";\n    outline-offset: ", ";\n  }\n  @supports not selector(*:focus-visible) {\n    a:focus {\n      outline: ", " solid ", ";\n      outline-offset: ", ";\n    }\n  }\n  /* Headings */\n  h1 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h2 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h3 {\n    font: ", ";\n    color: ", ";\n    margin-top: 28px;\n  }\n  h4 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h5 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h6 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n    text-transform: uppercase;\n  }\n\n  /* Lists */\n  ul,\n  ol,\n  dl {\n    padding-left: ", ";\n  }\n\n  dd,\n  dd + dt,\n  li + li {\n    margin-top: ", ";\n  }\n\n  ul ul:not(:first-child),\n\tul style:first-child ~ * + ul,\n  ol ul:not(:first-child),\n\tol style:first-child ~ * + ul,\n  ul ol:not(:first-child),\n\tul style:first-child ~ * + ol,\n  ol ol:not(:first-child),\n\tol style:first-child ~ * + ol {\n    margin-top: ", ";\n  }\n\n  /* remove top margin for first element */\n  p:first-child,\n  style:first-child + p,\n  ul:first-child,\n  style:first-child + ul,\n  ol:first-child,\n  style:first-child + ol,\n  dl:first-child,\n  style:first-child + dl,\n  h1:first-child,\n  style:first-child + h1,\n  h2:first-child,\n  style:first-child + h2,\n  h3:first-child,\n  style:first-child + h3,\n  h4:first-child,\n  style:first-child + h4,\n  h5:first-child,\n  style:first-child + h5,\n  h6:first-child,\n  style:first-child + h6,\n  blockquote:first-child,\n  style:first-child + blockquote,\n  pre:first-child,\n  style:first-child + pre,\n  form:first-child,\n  style:first-child + form,\n  table:first-child,\n  style:first-child + table {\n    margin-top: 0;\n  }\n\n  /* Quotes */\n  blockquote,\n  q {\n    color: inherit;\n  }\n  blockquote {\n    border: none;\n    padding-left: ", ";\n  }\n  [dir='rtl'] blockquote {\n    padding-left: 0;\n    padding-right: ", ";\n  }\n\n  blockquote::before,\n  q::before {\n    content: '\\201C';\n  }\n\n  blockquote::after,\n  q::after {\n    content: '\\201D';\n  }\n\n  blockquote::before {\n    float: left;\n    /* to keep the quotes left of any child elements like blockquote > p */\n    margin-left: -1em;\n    text-align: right;\n    width: 1em;\n  }\n  [dir='rtl'] blockquote::before {\n    float: right;\n    margin-right: -1em;\n    text-align: left;\n  }\n\n  blockquote > :last-child {\n    display: inline-block; /* so the quotes added via pseudos follow it immediately. */\n  }\n\n  /* Other typographical elements */\n  small {\n    font: ", ";\n  }\n\n  code,\n  kbd {\n    font-family: ", ";\n  }\n\n  var,\n  address,\n  dfn,\n  cite {\n    font-style: italic;\n  }\n\n  abbr {\n    border-bottom: 1px ", " dotted;\n    cursor: help;\n  }\n\n  @supports (color-scheme: dark) and (color-scheme: light) {\n    [data-color-mode=\"light\"] {\n      color-scheme: light;\n    }\n    [data-color-mode=\"dark\"] {\n      color-scheme: dark;\n    }\n  }\n"], ["\n  body,\n  html {\n    height: 100%;\n    width: 100%;\n  }\n\n  body {\n    background-color: ", ";\n    color: ", ";\n    font: ", ";\n    -ms-overflow-style: -ms-autohiding-scrollbar;\n    text-decoration-skip-ink: auto;\n  }\n\n  /* Default margins */\n  p,\n  ul,\n  ol,\n  dl,\n  h1,\n  h2,\n  h3,\n  h4,\n  h5,\n  h6,\n  blockquote,\n  pre,\n  form,\n  table {\n    margin: ", " 0 0 0;\n  }\n\n  /* Links */\n  a {\n    color: ", ";\n    text-decoration: none;\n  }\n  a:hover {\n    color: ", ";\n    text-decoration: underline;\n  }\n  a:active {\n    color: ", ";\n  }\n  a:focus-visible {\n    outline: ", " solid ", ";\n    outline-offset: ", ";\n  }\n  @supports not selector(*:focus-visible) {\n    a:focus {\n      outline: ", " solid ", ";\n      outline-offset: ", ";\n    }\n  }\n  /* Headings */\n  h1 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h2 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h3 {\n    font: ", ";\n    color: ", ";\n    margin-top: 28px;\n  }\n  h4 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h5 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n  }\n  h6 {\n    font: ", ";\n    color: ", ";\n    margin-top: ", ";\n    text-transform: uppercase;\n  }\n\n  /* Lists */\n  ul,\n  ol,\n  dl {\n    padding-left: ", ";\n  }\n\n  dd,\n  dd + dt,\n  li + li {\n    margin-top: ", ";\n  }\n\n  ul ul:not(:first-child),\n\tul style:first-child ~ * + ul,\n  ol ul:not(:first-child),\n\tol style:first-child ~ * + ul,\n  ul ol:not(:first-child),\n\tul style:first-child ~ * + ol,\n  ol ol:not(:first-child),\n\tol style:first-child ~ * + ol {\n    margin-top: ", ";\n  }\n\n  /* remove top margin for first element */\n  p:first-child,\n  style:first-child + p,\n  ul:first-child,\n  style:first-child + ul,\n  ol:first-child,\n  style:first-child + ol,\n  dl:first-child,\n  style:first-child + dl,\n  h1:first-child,\n  style:first-child + h1,\n  h2:first-child,\n  style:first-child + h2,\n  h3:first-child,\n  style:first-child + h3,\n  h4:first-child,\n  style:first-child + h4,\n  h5:first-child,\n  style:first-child + h5,\n  h6:first-child,\n  style:first-child + h6,\n  blockquote:first-child,\n  style:first-child + blockquote,\n  pre:first-child,\n  style:first-child + pre,\n  form:first-child,\n  style:first-child + form,\n  table:first-child,\n  style:first-child + table {\n    margin-top: 0;\n  }\n\n  /* Quotes */\n  blockquote,\n  q {\n    color: inherit;\n  }\n  blockquote {\n    border: none;\n    padding-left: ", ";\n  }\n  [dir='rtl'] blockquote {\n    padding-left: 0;\n    padding-right: ", ";\n  }\n\n  blockquote::before,\n  q::before {\n    content: '\\\\201C';\n  }\n\n  blockquote::after,\n  q::after {\n    content: '\\\\201D';\n  }\n\n  blockquote::before {\n    float: left;\n    /* to keep the quotes left of any child elements like blockquote > p */\n    margin-left: -1em;\n    text-align: right;\n    width: 1em;\n  }\n  [dir='rtl'] blockquote::before {\n    float: right;\n    margin-right: -1em;\n    text-align: left;\n  }\n\n  blockquote > :last-child {\n    display: inline-block; /* so the quotes added via pseudos follow it immediately. */\n  }\n\n  /* Other typographical elements */\n  small {\n    font: ", ";\n  }\n\n  code,\n  kbd {\n    font-family: ", ";\n  }\n\n  var,\n  address,\n  dfn,\n  cite {\n    font-style: italic;\n  }\n\n  abbr {\n    border-bottom: 1px ", " dotted;\n    cursor: help;\n  }\n\n  @supports (color-scheme: dark) and (color-scheme: light) {\n    [data-color-mode=\"light\"] {\n      color-scheme: light;\n    }\n    [data-color-mode=\"dark\"] {\n      color-scheme: dark;\n    }\n  }\n"])), "var(--ds-surface, #fff)", "var(--ds-text, ".concat(colors.N800, ")"), "var(--ds-font-body, ".concat("normal 400 14px/1.42857142857143 ".concat(fontFamily), ")"), "var(--ds-space-150, 12px)", "var(--ds-link, ".concat(colors.B400, ")"), "var(--ds-link, ".concat(colors.B300, ")"), "var(--ds-link-pressed, ".concat(colors.B500, ")"), "var(--ds-border-width-outline, 2px)", "var(--ds-border-focused, ".concat(colors.B200, ")"), "var(--ds-space-025, 2px)", "var(--ds-border-width-outline, 2px)", "var(--ds-border-focused, ".concat(colors.B100, ")"), "var(--ds-space-025, 2px)", "var(--ds-font-heading-xlarge, ".concat("600 2.0714285714285716em/1.103448275862069 ".concat(fontFamily), ")"), "var(--ds-text, #172B4D)", "var(--ds-space-500, 40px)", "var(--ds-font-heading-large, ".concat("500 1.7142857142857142em/1.1666666666666667 ".concat(fontFamily), ")"), "var(--ds-text, #172B4D)", "var(--ds-space-500, 40px)", "var(--ds-font-heading-medium, ".concat("500 1.4285714285714286em/1.2 ".concat(fontFamily), ")"), "var(--ds-text, #172B4D)", "var(--ds-font-heading-small, ".concat("600 1.1428571428571428em/1.25 ".concat(fontFamily), ")"), "var(--ds-text, #172B4D)", "var(--ds-space-300, 24px)", "var(--ds-font-heading-xsmall, ".concat("600 1em/1.1428571428571428 ".concat(fontFamily), ")"), "var(--ds-text, #172B4D)", "var(--ds-space-200, 16px)", "var(--ds-font-heading-xxsmall, ".concat("600 0.8571428571428571em/1.3333333333333333 ".concat(fontFamily), ")"), "var(--ds-text, #172B4D)", "var(--ds-space-250, 20px)", "var(--ds-space-500, 40px)", "var(--ds-space-050, 4px)", "var(--ds-space-050, 4px)", "var(--ds-space-500, 40px)", "var(--ds-space-500, 40px)", "var(--ds-font-body-small, ".concat(typography.fontFallback.body.small, ")"), "var(--ds-font-family-code, ".concat("".concat(codeFontFamily), ")"), "var(--ds-border, #ccc)");